Subject: Re: [GSOC PATCH 0/2] mailmap: reduce global state

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Feb 2026 13:22:05 -0800

Burak Kaan Karaçay <[email-masked]> writes:

> This patch series aims to reduce the global variable dependency of the
> mailmap subsystem:
>
>   - Patch 1 eliminates the implicit 'the_repository' dependency in the
>     'read_mailmap' and 'read_mailmap_blob' functions by adding a
>     'struct repository' parameter.
>
>   - Patch 2 removes the 'git_mailmap_file' and 'git_mailmap_blob' global
>     variables, shifting to on-demand configuration reading via the config
>     set helpers and using local variables.

These are surprisingly simple and straight-forward, as the final
destination has nothing to do with any global, and not even part of
a long-lived structure like "repo", but just a simple string_list
mailmap.  Nicely done.

Will queue.